* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* generel css */

@font-face {
    font-family: "Random Wednesday";
    src: url(/fonts/Random\ Wednesday.ttf);
}

h1,
h2,
p {
    font-family: 'Random Wednesday', sans-serif;
}

.wrapper {
    width: 1728px;
    height: 992px;
    background-size: cover;
    background-repeat: no-repeat;
    position: relative;
    background-color: #C1FFF8;
}

.ekstraside {
    width: 1728px;
    height: 992px;
    position: absolute;
}



/* css til vinter siden */

.wrapper-vinter {
    width: 1728px;
    height: 992px;
    background-image: url('/img/snefnugBaggrund.png');
    background-size: cover;
    background-repeat: no-repeat;
    position: relative;
}

/* overskrifter */

.vinterOverskrift h1 {
    font-size: 5rem;
    margin: 0;
}

.vinterOverskrift h2 {
    font-size: 3rem;
}

.vinterOverskrift {
    display: flex;
    flex-direction: column;
    width: 700px;
    align-items: center;
}

/* tekstboksen på vintersiden */

.tekstboks img {
    height: 200px;
    width: 568px;
    margin: 0;
    margin-left: 50px;
}

.tekstboks {
    position: relative;
}

.tekstboksP {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 1.7rem;
    line-height: 1.5;
    width: 430px;
    margin-left: 40px;
}

.vinterBoks {
    display: flex;
    align-items: center;
    padding: 50px;
}

/* de blå bokse med genstande på vintersiden */

.blaabokse img {
    max-height: 223px;
    width: auto;
}

.blaabokse {
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: center;
    position: absolute;
    right: 0;
    top: 4%;
}

.blaaboksbaggrund {
    background-image: url(/img/blaaboks.png);
    background-size: cover;
    width: 291px;
    height: 223px;
}

#varmepude {
    height: 180px;
    width: auto;
    padding-right: 15px;
}

#chokolade {
    height: 180px;
    width: auto;
    margin-right: 18px;
    margin-top: 15px;
}

#pude {
    height: 170px;
    width: auto;
    margin-right: 18px;
    margin-top: 25px;
}

#bind {
    height: 160px;
    width: auto;
    margin-right: 15px;
    margin-top: 30px;
}

.genstande p {
    font-size: 2rem;
}

.genstande {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: absolute;
    right: 0;
    top: 4%;
    z-index: 2;
}

.flyttedeGenstande img {
    width: 100px;
    height: auto;
    display: none;
}

#varmepude-flyttet {
    position: absolute;
    top: 62%;
    right: 33%;
    z-index: 1;
}

#chokolade-flyttet {
    position: absolute;
    top: 50%;
    right: 35%;
    z-index: 1;
}

#pude-flyttet {
    position: absolute;
    top: 35%;
    right: 35%;
    width: 200px;
}

#bind-flyttet {
    position: absolute;
    top: 70%;
    right: 33%;
    z-index: 1;
}

/* css til pigen */

#pige {
    height: 670px;
    width: auto;
    margin-bottom: 35px;
    margin-left: 90px;
    position: relative;
}

/* css til cirklen */
.cirkel {
    width: 670px;
    margin-left: 90px;
    margin-bottom: 100px;
}

/* animation til genstande på vinter siden */

@keyframes pop {
    0%   { transform: scale(1); }
    50%  { transform: scale(1.2); }
    100% { transform: scale(1); }
  }
  
  .pop {
    animation: pop 1s ease;
  }



/*------------------VINTER VIDEO CSS------------------------ */



.vintervideo {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 500px;
  transition: all 2s ease;
}

.videoramme {
  width: 550px;
  height: 550px;
  position: absolute;
  top: 350px;
  left: 135px;
  z-index: 4;
  transition: all 2s ease;
}

.videoramme img

/*Billede af livmoder*/
  {
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  animation-fill-mode: forwards;
  animation-duration: 1s;
}

.skygge{
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  transition: all 2s ease;
  z-index: 1;
}
.moerk {
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 3;
}

.videoAaben {
  width: 80%;
  height: 90%;
  top: 50px;
  left: 150px;
  z-index: 4;
}

#playknap {
  position: absolute;
  z-index: 4;
  width: 200px;
  height: 200px;
  top: 170px;
  left: 175px;
  animation-fill-mode: forwards;
  animation-duration: 1s;
}

#pil{
  position:relative;
}

.tilbageknap,
.tilbageknap:visited {
  font-family: 'Random Wednesday', sans-serif;
  font-size: 2rem;
  display: inline-flex;
  align-items: center;
  position: absolute;
  left: 10px;
  bottom: 0px;
  z-index: 2;
  text-decoration: none;
  color: black;
}

.tilbageknap img {
  width: 80px;
  height: auto;
}

#tilbageknapVideo,
#muteVinterVideo {
  display: none;
  position: absolute;
  bottom: 40px;
  left: 20px;
  z-index: 3;
  animation: fadeInd 1s ease-in-out;
  animation-fill-mode: forwards;
}

#tilbageknapVideo{
  align-items: center;
  justify-content: center;
  left: 10px;
  bottom: 10px;
}

#muteVinterVideo {
  position: absolute;
  width: 80px;
  height: auto;
  left: 10px;
  top: 10px;
}

.doneVideo {
  display: none;
  transition: all 1.5s ease-in-out;
}

.visDoneVideo {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  gap: 30px;
  width: auto;
  height: 400px;
  position: absolute;
  top: 250px;
  left: 330px;
  animation-name: fadeInd;
  transition: all 1.5s ease-in-out;
}

.donevideo div {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.doneVideo p {
  font-size: 3rem;
  margin: 0;
  text-align: center;
}


.doneVideo img {
  width: 350px;
  height: auto;
  position: relative;
}

@keyframes fadeInd {
  0% {
      opacity: 0;
  }

  100% {
      opacity: 1;
  }
}

@keyframes fadeUd {
  0% {
      opacity: 1;
  }

  100% {
      opacity: 0;
  }
}




/* css til knapper */

.tilbageknap {
    background-color: transparent;
    border: none;
    font-family: 'Random Wednesday', sans-serif;
    font-size: 2rem;
    display: inline-flex;
    align-items: center;
    position: absolute;
    left: 10px;
    bottom: 0px;
}

.tilbageknap img {
    width: 80px;
    height: auto;
}

.muteknap {
    width: 80px;
    height: auto;
    margin: 10px 0 0 20px;
    position: absolute;
    cursor: pointer;
    z-index: 2;
}



/* css til siden med cyklus/årstider */

.cyklus {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}

.billederOvenpaaHinanden {
    display: grid;
    place-items: center;
    position: relative;
    width: 2000px;
}

.billederOvenpaaHinanden img.base {
    grid-area: 1 / 1;
    width: 683px;
    height: auto;
    z-index: 1;
}

#livmoder {
    z-index: 3;
    width: 780px;
}

.ikon {
    position: absolute;
    z-index: 2;
}

.snefnugCyklus {
    top: 30px;
    left: 650px;
    width: 120px;
}

.blomsterCyklus {
    top: 50px;
    right: 570px;
    width: 200px;
}

.bladeCyklus {
    bottom: 70px;
    left: 580px;
    width: 210px;
}

.solCyklus {
    bottom: 50px;
    right: 570px;
    width: 190px;
}

.lillesnefnugCyklus {
    top: 90px;
    left: 600px;
    width: 100px;
}

.vinterKnap {
    width: 420px;
    top: 70px;
    left: 250px;
    z-index: 4;
}

.foraarKnap {
    width: 420px;
    z-index: 4;
    top: 70px;
    right: 250px;

}

.sommerKnap {
    width: 420px;
    z-index: 4;
    bottom: 70px;
    right: 250px;
}

.efteraarKnap {
    width: 420px;
    z-index: 4;
    bottom: 70px;
    left: 250px;
}


  



/* Marie - forside + introvideo */

/* container med samme størrelse som wrapperen */
.container {
    position: relative;
    width: 1728px;
    height: 992px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
  }
  
  /* cirklen */
  .introCircle {
    position: relative;
    width: 400px;
    height: 400px;
    border-radius: 50%;
    background-color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  /* roterende introtekst */
  .rotationWrapper {
    position: absolute;
    width: 400px;
    height: 400px;
    transform: rotate(0deg);
    transform-origin: center center;
    transition: transform 1s ease-in-out;
    pointer-events: none;
  }
  
  .buetTekst {
    position: absolute;
    top: -120px;
    left: 50%;
    transform: translateX(-50%);
    width: 650px;
  }
  
  /* video frame + playknap */
  .videoFrame {
    position: relative;
    width: 1728px;
    height: 992px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    z-index: 4;
    object-fit: contain;
  }
  
  .videoFrame button {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
  
  .playIntroKnap {
    cursor: pointer;
    width: 60px;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: transparent;
    border: none;
    padding: 0;
  }
  
  .playIntroKnap img {
    width: 400%;
    height: 400%;
    object-fit: contain;
  }
  
  /* video */
  .video {
    aspect-ratio: 1.547/1;
    width: 1728px;
    height: 992px;
    object-fit: contain;
    display: none;
  }
  
  /* mute knap */
  #muteKnapIntro {
    display: none;
    position: absolute;
    top: 50px;
    left: 60px;
    background: none;
    border: none;
    padding: 0;
    cursor: pointer;
  }
  
  #muteIkon {
    width: 80px;
    height: 80px;
  }
  
  /* spring over knappen */
  .springOverKnap {
    position: absolute;
    bottom: 20px;
    right: 20px;
    display: flex;
    align-items: center;
    gap: 10px;
    z-index: 5;
  }
  
  .springOverTekst {
    font-family: "Random Wednesday", sans-serif;
    font-size: 2rem;
    color: #000;
  }
  
  .springOverBillede {
    background: none;
    border: none;
    padding: 0;
    cursor: pointer;
  }
  
  .springOverBillede img {
    width: 70px;
    height: 70px;
  }
  
  /* hjørneikoner + animation */
  .hjoerne {
    position: absolute;
    width: 120px;
    height: 120px;
  }
  
  .hjoerne img {
    width: 100%;
    height: 100%;
  }
  
  /* placering af ikoner */
  .snefnug {
    top: 20px;
    left: 20px;
  }
  
  .blomster {
    top: 20px;
    right: 20px;
  }
  
  .blade {
    bottom: 20px;
    left: 20px;
  }
  
  .sol {
    bottom: 20px;
    right: 20px;
  }
  
   /* ikon animation */
   .snefnug,
   .blomster,
   .blade,
   .sol, 
   .snefnugCyklus,
   .blomsterCyklus,
   .solCyklus,
   .bladeCyklus,
   .lillesnefnugCyklus {
     animation: move 3s infinite alternate;
   }
   
   @keyframes move {
     0% {
       transform: scale(1);
     }
     100% {
       transform: scale(1.2);
     }
   }
  
  /* Marie - forside + introvideo slut */



